%define anolis_release 1
# This module usually ships with version numbers having two digits after the decimal point
%global cpanversion 1.993
%global rpmversion 1.99.3

Summary:	Test file attributes through Test::Builder
Name:		perl-Test-File
Version:	%{rpmversion}
Release:	%{anolis_release}%{?dist}
License:	Artistic-2.0
URL:		https://metacpan.org/release/Test-File
Source0:	https://cpan.metacpan.org/modules/by-module/Test/Test-File-%{cpanversion}.tar.gz
BuildArch:	noarch
# Module Build
BuildRequires:	coreutils
BuildRequires:	make
BuildRequires:	perl-generators
BuildRequires:	perl-interpreter
BuildRequires:	perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:	perl(ExtUtils::Manifest) >= 1.21
# Module Runtime
BuildRequires:	perl(Carp)
BuildRequires:	perl(Exporter)
BuildRequires:	perl(File::Spec)
BuildRequires:	perl(strict)
BuildRequires:	perl(Test::Builder)
BuildRequires:	perl(vars)
BuildRequires:	perl(warnings)
BuildRequires:	perl(XSLoader)
# Test Suite
BuildRequires:	perl(Config)
BuildRequires:	perl(Cwd)
BuildRequires:	perl(File::Spec::Functions)
BuildRequires:	perl(Test::Builder) >= 1.001006
BuildRequires:	perl(Test::Builder::Tester)
BuildRequires:	perl(Test::More) >= 1
BuildRequires:	perl(utf8)
# Optional Tests
BuildRequires:	perl(Test::Pod) >= 1.00
BuildRequires:	perl(Test::Pod::Coverage) >= 1.00
# Runtime

%description
This module provides a collection of test utilities for file attributes.

Some file attributes depend on the owner of the process testing the file
in the same way the file test operators do.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%setup -q -n Test-File-%{cpanversion}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}

%install
%{make_install}
%{_fixperms} -c %{buildroot}

%check
make test

%files
%license LICENSE
%{perl_vendorlib}/Test/
%{_mandir}/man3/Test::File.3*

%files doc
%doc Changes README.pod

%changelog
* Thu Feb 2 2023 Funda Wang <fundawang@yeah.net> - 1.99.3-1
- Import package for anolis 23
